Page MenuHomePhabricator

tests/ecore: remove tolerance threshold from ecore_timer_reset test case
ClosedPublic

Authored by zmike on Jul 23 2018, 4:45 AM.

Details

Summary

unit tests should test one thing only: testing timer accuracy and the
effectiveness of resetting a timer in the same test leads to timing issues,
so remove the timing component from the test

ref T6878

Depends on D6652

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jul 23 2018, 4:45 AM
zmike requested review of this revision.Jul 23 2018, 4:45 AM
zmike added a child revision: D6654: ci: disable tests on macos.
zmike updated this revision to Diff 15887.Jul 25 2018, 8:52 AM
zmike edited the summary of this revision. (Show Details)
stefan_schmidt accepted this revision.Jul 30 2018, 8:35 AM
This revision is now accepted and ready to land.Jul 30 2018, 8:35 AM
This revision was automatically updated to reflect the committed changes.